> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maalbar.dk/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a location



## OpenAPI

````yaml get /logistics/locations/{locationPublicId}
openapi: 3.1.0
info:
  title: MÅLBAR LCA API
  version: 1.0.0
  description: API for Life Cycle Assessment (LCA) screening capabilities
servers:
  - url: https://api.maalbar.dk/v1
    description: MÅLBAR LCA API
security: []
tags:
  - name: Components
  - name: Customer
  - name: Distributions
  - name: Geographical Locations
  - name: Locations
  - name: Materials
  - name: Methods
  - name: Packagings
  - name: Product
  - name: Products
  - name: Routes
  - name: Screening
  - name: Screenings
  - name: Supplier
  - name: Supplier Locations
  - name: Suppliers
  - name: Tags
paths:
  /logistics/locations/{locationPublicId}:
    get:
      tags:
        - Locations
      summary: Get a location
      operationId: get-logistics-locations-{locationPublicId}
      parameters:
        - in: path
          name: locationPublicId
          required: true
          schema:
            type: string
          example: '123'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTransportLocationApiOutput'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetTransportLocationApiOutput:
      type: object
      properties:
        publicId:
          type: string
          minLength: 16
          maxLength: 16
          examples:
            - transportLocation_xxxxxxxxxxxx
        type:
          type: string
          enum:
            - RetailStore
            - RetailLocation
            - Warehouse
            - B2B
            - Supplier
            - FinalClient
            - Unknown
        name:
          type: string
        externalId:
          type:
            - string
            - 'null'
        address:
          type:
            - string
            - 'null'
        city:
          type:
            - string
            - 'null'
        zip:
          type:
            - string
            - 'null'
        weeksRotation:
          type:
            - integer
            - 'null'
        totalCapacity:
          type:
            - number
            - 'null'
        shelfHeight:
          type:
            - number
            - 'null'
        stores:
          type:
            - number
            - 'null'
        timeperiod:
          type:
            - string
            - 'null'
        vatNumber:
          type:
            - string
            - 'null'
          maxLength: 100
        own:
          type: boolean
        tier:
          type:
            - string
            - 'null'
          enum:
            - Tier1
            - Tier2
            - Tier3
            - Tier1And2
        geographical:
          type: object
          properties:
            location:
              type: object
              properties:
                publicId:
                  type: string
                  minLength: 16
                  maxLength: 16
                  examples:
                    - locationListItem_xxxxxxxxxxxx
                name:
                  type: string
              required:
                - publicId
                - name
          required:
            - location
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        supplier:
          type:
            - object
            - 'null'
          properties:
            publicId:
              type: string
              minLength: 16
              maxLength: 16
              examples:
                - transportLocationSupplier_xxxxxxxxxxxx
            name:
              type: string
          required:
            - publicId
            - name
      required:
        - publicId
        - type
        - name
        - own
        - geographical
        - createdAt
        - updatedAt
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````